:: Install script for the WMF2EPS virtual printer under Windows 8 and 10.
:: Temporary disables the Driver Signature Enforcement which is default under
:: Windows 8 and Windows 10. Must be Administrator to run this script.
:: ##################################################################################
:: On Computers with UEFI Bios, the Windows 'Startup Setting' (SHIFT Restart Windows)
:: needs to be changed temporarily '7) Disable driver signature enforcement' at boot
:: before running this script as an Administrator.
:: ##################################################################################
:: This cmd script installs a "Driver Package" consisting of the configuration files
:: W7Print.INF and WMF2EPS2.PPD for the standard Windows Postscript driver.
:: No binary executable code is beeing installed with this script. 
:: Use unsigned drivers at your own risk. No warranty.
:: 24 Jan 2016. Wolfgang Schulter, author of WMF2EPS
:: ---------------------------------------------------------------------------

:: http://www.top-password.com/blog/how-to-disable-driver-signature-enforcement-in-windows-10-8-7/
:: Driver Signature Enforcement disable (UEFI setting might be needed) ...
bcdedit /set testsigning on

:: see https://technet.microsoft.com/de-de/library/ee624057%28v=ws.10%29.aspx
rundll32 printui.dll,PrintUIEntry /if /b "WMF2EPS Color PS L2" /f W7print.inf /r "file:" /m "WMF2EPS Color PS L2" /q w

:: EPS and other settings ..
rundll32 printui.dll,PrintUIEntry /Sr /n "WMF2EPS Color PS L2" /a "set.dat" u

:: Driver Signature Enforcement enabled again
bcdedit /set testsigning off
